package http_model

type GetUserInfoRequest struct {
	Token string `json:"token"` // Token
}

type GetUserInfoData struct {
	Role                 string `json:"role"`                  // 角色类型 1，超级管理员； 2，管理员；3，企业用户; 4. 企业子账号；5. 管理后台子账号
	UserId               int64  `json:"user_id"`               // YG用户ID
	EnterpriseId         string `json:"enterprise_id"`         // 商家ID
	SubAccountId         int    `json:"sub_account_id"`        // 子账号ID
	JobName              string `json:"job_name"`              // 岗位名称
	WorkshopPermission   string `json:"workshop_permission"`   // 工作台权限
	TaskcenterPermission string `json:"taskcenter_permission"` // 任务中心权限
	CooperatePermission  string `json:"cooperate_permission"`  // 推广合作权限
	FinancialPermission  string `json:"financial_Permission"`  // 财务结算权限
}

func NewGetUserInfoRequest() *GetUserInfoRequest {
	return new(GetUserInfoRequest)
}
func NewGetUserInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetUserInfoData)
	return resp
}

// 18710497683.1733835023.c9bf4974ced35cbbb257f18a38086205
// 15321732876.1734336467.ae902dfe65ad150b69f8a5c041cc4e90
